-- To update a translation please use the localization utility at:
-- http://wow.curseforge.com/addons/duelresponse/localization/
-- Once done, please contact GeodesicDragon to inform him of the changes you have made.

local AddonName, a = ...
a.Localize = setmetatable({}, {__index = function(_, key) return key end})
local L = a.Localize

-- Example:
L["English text goes here."] = "Translated text goes here."

if GetLocale() == "ptBR" then -- Brazilian Portuguese
L[" challenged you while you were marked as Away."] = " desafiado você enquanto você estava longe do teclado."
L[" challenged you while you were marked as Busy."] = " desafiado você enquanto você estava ocupado."
L[" loaded successfully."] = " carregado com êxito."
L["Chat log messages have been turned off."] = "Bate-papo mensagens de log foram desativados."
L["Chat log messages have been turned on."] = "Bate-papo mensagens de log foram ativados."
L["Declined a duel request from "] = "Solicitação recusada: "
L["Duel requests will be declined."] = "Pedidos de duelo vai ser recusado."
L["Duel requests will not be declined."] = "Pedidos de duelo não vai ser recusado."
L["DuelResponse"] = "DueloResposta"
L["Load message disabled."] = "Carregar mensagem desativada."
L["Load message enabled."] = "Carregar mensagem ativada."
--Translation missing 
L["Total duels blocked: "] = "Total duels blocked: "
elseif GetLocale() == "frFR" then -- French
L[" challenged you while you were marked as Away."] = " vous a défié(e) pour un duel alors que vous étiez Absent."
L[" challenged you while you were marked as Busy."] = " vous a défié(e) pour un duel alors que vous étiez Occupé."
L[" loaded successfully."] = " chargé avec succès."
L["Chat log messages have been turned off."] = "Les messages du journal de chat ont été désactivés."
L["Chat log messages have been turned on."] = "Les messages du journal de chat ont été activés."
L["Declined a duel request from "] = "Demande de duel bloquée: "
L["Duel requests will be declined."] = "Les demandes de duel seront refusées."
L["Duel requests will not be declined."] = "Les demandes de duel seront acceptées."
L["DuelResponse"] = "DuelResponse"
L["Load message disabled."] = "Charger message désactivé."
L["Load message enabled."] = "Charger message activé."
L["Total duels blocked: "] = "Nombre de duels bloqués: "
elseif GetLocale() == "deDE" then -- German
L[" challenged you while you were marked as Away."] = " hat dich herausgefordert, während Du als AFK markiert warst."
L[" challenged you while you were marked as Busy."] = " hat dich herausgefordert, während Du als DND markiert warst."
L[" loaded successfully."] = " erfolgreich geladen."
L["Chat log messages have been turned off."] = "Chat-Log-Meldungen wurden deaktiviert."
L["Chat log messages have been turned on."] = "Chat-Log-Nachrichten wurden aktiviert."
L["Declined a duel request from "] = "Duellanfrage abgelehnt: "
L["Duel requests will be declined."] = "Duellanfragen werden abgelehnt."
L["Duel requests will not be declined."] = "Duellanfragen werden nicht abgelehnt."
L["DuelResponse"] = "DuellAntwort"
L["Load message disabled."] = "Lade nachricht deaktiviert."
L["Load message enabled."] = "Lade nachricht aktiviert."
L["Total duels blocked: "] = "Anzahl der gesperrten Duelle: "
elseif GetLocale() == "itIT" then -- Italian
L[" challenged you while you were marked as Away."] = " sfidato mentre eri evidenziati come assente."
L[" challenged you while you were marked as Busy."] = " sfidato mentre eri evidenziati come occupato."
L[" loaded successfully."] = " caricato correttamente."
L["Chat log messages have been turned off."] = "Chat registrare i messaggi sono stati disabilitati."
L["Chat log messages have been turned on."] = "Chat registrare i messaggi sono stati abilitati."
L["Declined a duel request from "] = "Bloccato una richiesta di duello: "
L["Duel requests will be declined."] = "Richieste duello sarà bloccati."
L["Duel requests will not be declined."] = "Richieste duello non saranno bloccati."
L["DuelResponse"] = "DuelloRiposta"
L["Load message disabled."] = "Messaggio carico disabilitato."
L["Load message enabled."] = "Messaggio carico abilitato."
--Translation missing 
L["Total duels blocked: "] = "Total duels blocked: "
elseif GetLocale() == "koKR" then -- Korean
L[" challenged you while you were marked as Away."] = " 도전자 (멀리 키보드)"
L[" challenged you while you were marked as Busy."] = " 도전자 (바쁜)"
L[" loaded successfully."] = " 성공적으로로드."
L["Chat log messages have been turned off."] = "로그 채팅 메시지가 비활성화되었습니다."
L["Chat log messages have been turned on."] = "채팅 로그 메시지가 활성화되었습니다."
L["Declined a duel request from "] = "결투 요청은 차단: "
L["Duel requests will be declined."] = "자동 거부: |cFF00FF00사용 가능|r."
L["Duel requests will not be declined."] = "자동 거부: |cFFFF0000장애인|r."
L["DuelResponse"] = "이중응답"
L["Load message disabled."] = "메시지로드가 비활성화되었습니다."
L["Load message enabled."] = "로드 메시지가 사용 가능합니다."
--Translation missing 
L["Total duels blocked: "] = "Total duels blocked: "
elseif GetLocale() == "esMX" then -- Latin American Spanish
--Translations missing 
-- L[" challenged you while you were marked as Away."] = ""
-- L[" challenged you while you were marked as Busy."] = ""
-- L[" loaded successfully."] = ""
-- L["Chat log messages have been turned off."] = ""
-- L["Chat log messages have been turned on."] = ""
-- L["Declined a duel request from "] = ""
-- L["Duel requests will be declined."] = ""
-- L["Duel requests will not be declined."] = ""
-- L["DuelResponse"] = ""
-- L["Load message disabled."] = ""
-- L["Load message enabled."] = ""
-- L["Total duels blocked: "] = ""
elseif GetLocale() == "ruRU" then -- Russian
L[" challenged you while you were marked as Away."] = " бросил вызов пока вы были далеко."
L[" challenged you while you were marked as Busy."] = " бросил вызов пока вы были заняты."
L[" loaded successfully."] = " успешно загружен."
L["Chat log messages have been turned off."] = "Чат сообщения выключены."
L["Chat log messages have been turned on."] = "Чат сообщения включены."
L["Declined a duel request from "] = "Отклонена дуэль с "
L["Duel requests will be declined."] = "Дуэль запросы |cFF00FF00будут|r отклонены."
L["Duel requests will not be declined."] = "Дуэль запросы |cffFF0000не будут|r отклонены."
L["DuelResponse"] = "DuelResponse"
L["Load message disabled."] = "Вход сообщение отключено."
L["Load message enabled."] = "включен Вход сообщение."
L["Total duels blocked: "] = "Количество дуэлей заблокировано: "
elseif GetLocale() == "zhCN" then -- Simplified Chinese
--Translations missing 
-- L[" challenged you while you were marked as Away."] = ""
-- L[" challenged you while you were marked as Busy."] = ""
-- L[" loaded successfully."] = ""
-- L["Chat log messages have been turned off."] = ""
-- L["Chat log messages have been turned on."] = ""
-- L["Declined a duel request from "] = ""
-- L["Duel requests will be declined."] = ""
-- L["Duel requests will not be declined."] = ""
-- L["DuelResponse"] = ""
-- L["Load message disabled."] = ""
-- L["Load message enabled."] = ""
-- L["Total duels blocked: "] = ""
elseif GetLocale() == "esES" then -- Spanish
L[" challenged you while you were marked as Away."] = " hecho un reto durante tu ausencia."
L[" challenged you while you were marked as Busy."] = " poner en una solicitud mientras estaba ocupado."
L[" loaded successfully."] = " correctamente cargado."
L["Chat log messages have been turned off."] = "Mensajes de registro de chat se han desactivados."
L["Chat log messages have been turned on."] = "Mensajes de registro de chat se han habilitado."
L["Declined a duel request from "] = "Solicitud de duelo bloqueado: "
L["Duel requests will be declined."] = "Declinando duelo se ha |cFF00FF00activado|r."
L["Duel requests will not be declined."] = "Declinando duelo se ha |cFFFF0000desactivado|r."
L["DuelResponse"] = "DuelRespuesta"
L["Load message disabled."] = "Cargar mensaje deshabilitado."
L["Load message enabled."] = "Cargar mensaje habilitado."
--Translation missing 
L["Total duels blocked: "] = "Total duels blocked: "
elseif GetLocale() == "zhTW" then -- Traditional Chinese
--Translations missing 
-- L[" challenged you while you were marked as Away."] = ""
-- L[" challenged you while you were marked as Busy."] = ""
-- L[" loaded successfully."] = ""
-- L["Chat log messages have been turned off."] = ""
-- L["Chat log messages have been turned on."] = ""
-- L["Declined a duel request from "] = ""
-- L["Duel requests will be declined."] = ""
-- L["Duel requests will not be declined."] = ""
-- L["DuelResponse"] = ""
-- L["Load message disabled."] = ""
-- L["Load message enabled."] = ""
-- L["Total duels blocked: "] = ""
end